import {select, json, tsv, csv, geoPath, geoMercator, zoom, event, scaleOrdinal,schemeGreens} from 'd3';
import { loadAndProcessData } from './loadAndProcessData';

const svg = select('svg');
const projection = geoMercator();
const pathGenerator = geoPath().projection(projection);
const g = svg.append('g');

g.append('path')
	.attr('class','sphere')
	.attr('d',pathGenerator({type:'Sphere'}));


svg.call(zoom()
	.on('zoom', () => {
   g.attr('transform', event.transform);
}));

const colorScale = scaleOrdinal();
const colorValue = d => d.properties.economy
//console.log(colorValue)
const admiraValue = a => a
//console.log(admiraValue)



loadAndProcessData().then(countries =>{
  //console.log(countries)
  /*colorScale
    .domain(countries.features.map(colorValue))
  	.domain(colorScale.domain().sort().reverse())
  	.range(schemeGreens[colorScale.domain().length])*/
  
  console.log(countries.properties)
  
  g.selectAll('path')
    .data(countries.features)
  	.enter()
    .append('path')
      .attr('class','countries')
      .attr('d', pathGenerator)
  		.style('fill', d => { 
    			var value = d.properties.color;
    			if (value){
          	return '#669933';
          }else{
          	return '#ccc'
          }
  		})
  	.append('title')
  		.text(d=>d.properties.name);  
});



