import{feature} from 'topojson';
import{tsv, json} from 'd3';
export const loadAndProcessData = () => 
  Promise
    .all([
      // Countries Data
      tsv('countriesGeo.tsv'),
      // Topographic Data
      json('https://unpkg.com/world-atlas@1.1.4/world/50m.json'),
      // Custom Countries
      tsv('custom-countries-iso.tsv')
    ])
    .then(([tsvData, topographicData, customData]) => {
      
      	//Reduce Countries Data 
        const rowById = tsvData.reduce((accumulator, d)=>{
        accumulator[d.iso_n3] = d;
        return accumulator;    
        }, {});
        
      	//Nos centramos en la parte de countries en topographicData
        const countries = feature(topographicData,topographicData.objects.countries);
    
        
      	// Merge Countries data with Geometric Data
        countries.features.forEach(d=>{
          Object.assign(d.properties, rowById[d.id]);    
        });
      
    	// Find coincident players in Custom and Generic
       customData.forEach(d=>{

          var admiraCountryName = d.country_name; 
	
          //Add property in coincident countries
           countries.features.forEach(d=>{ 
             if (admiraCountryName == d.properties.iso_a3){ 
                  d.properties.color = 10;             
            	}
          });   
        });     
      return countries;
  	});



